apiVersion: apps/v1
kind: Deployment
metadata:
  name: model-registry-deployment
spec:
  template:
    spec:
      containers:
      - name: rest-container
        resources:
          requests:
            cpu: 100m
            memory: 256Mi
          limits:
            cpu: 500m
            memory: 512Mi
      - name: grpc-container
        resources:
          requests:
            cpu: 100m
            memory: 128Mi
          limits:
            cpu: 500m
            memory: 512Mi